bootstrap CLI should have an option to specify target series (phase 1)

Bug #1302005 reported by Casey Marshall on 2014-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
High
Menno Finlay-Smits

Bug Description

We should allow bootstrapping an environment on any series we have the tools for, not just default-series: or current LTS.

This ticket tracks the deprecating of --series and related work. Bug #1317666 complete the work. Two tickets were used because the deprecation of --series needed to land in a stable release before --series could be re-purposed.

Related branches

Curtis Hovey (sinzui) on 2014-04-03
Changed in juju-core:
status: New → Triaged
importance: Undecided → High
tags: added: bootstrap feature

We do support bootstrapping on any target, we just don't have a way to
specify it on the command line. Though we should, you can get around it
right now by setting "default-series: trusty" in your environments.yaml

On Thu, Apr 3, 2014 at 7:11 PM, Curtis Hovey <email address hidden> wrote:

> ** Changed in: juju-core
> Status: New => Triaged
>
> ** Changed in: juju-core
> Importance: Undecided => High
>
> ** Tags added: bootstrap feature
>
> --
> You received this bug notification because you are subscribed to juju-
> core.
> https://bugs.launchpad.net/bugs/1302005
>
> Title:
> Allow bootstrap on any platform we find tools for
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/juju-core/+bug/1302005/+subscriptions
>

summary: - Allow bootstrap on any platform we find tools for
+ bootstrap CLI should have an option to specify target series
tags: added: hours

bootstrap already has --series, but this is used in conjunction with --upload-tools.

We should change the meaning here, so --series specifies the series to bootstrap, and have --upload-series for the series to upload.

A useful refactoring would be to use cmd.NewStringsValue rather than the custom seriesVar in cmd/juju/bootstrap.go

An extra series param will need to be passed into the bootstrap commands, and used in preference to one from the config if it is specified.

Changed in juju-core:
assignee: nobody → Menno Smits (menno.smits)
milestone: none → 1.19.2
Changed in juju-core:
status: Triaged → In Progress

Given the proposed change to the meaning of --series, do we need to go through a deprecation phase?

Curtis Hovey (sinzui) on 2014-05-08
Changed in juju-core:
status: In Progress → Fix Committed

Hi Curtis,

This ticket isn't actually done yet. The first part, deprecating --series
in favour of --upload-series (and a related refactoring), is done but the
final goal of of having a command line arg set the bootstrap series isn't
there yet. Tim suggested that we let the deprecation of --series land in
1.19.2 and 1.20 and then finish this work post 1.20.

Sorry that this wasn't clear. My first order of business today was going to
be to update the ticket to explain the plan. I'll do that now.

Cheers,
Menno

On 9 May 2014 03:12, Curtis Hovey <email address hidden> wrote:

> ** Changed in: juju-core
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1302005
>
> Title:
> bootstrap CLI should have an option to specify target series
>
> Status in juju-core:
> Fix Committed
>
> Bug description:
> We should allow bootstrapping an environment on any series we have the
> tools for, not just default-series: or current LTS.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/juju-core/+bug/1302005/+subscriptions
>

Actually, I have a better plan: I'll update the existing ticket so that
it's just about the deprecation of of --series (and leave it as Fix
Committed) and will create a new one (targeted for 1.21) for the next
phase. That should be the clearer than trying to track both parts of the
work in one ticket.

On 9 May 2014 09:14, Menno Smits <email address hidden> wrote:

> Hi Curtis,
>
> This ticket isn't actually done yet. The first part, deprecating --series
> in favour of --upload-series (and a related refactoring), is done but the
> final goal of of having a command line arg set the bootstrap series isn't
> there yet. Tim suggested that we let the deprecation of --series land in
> 1.19.2 and 1.20 and then finish this work post 1.20.
>
> Sorry that this wasn't clear. My first order of business today was going
> to be to update the ticket to explain the plan. I'll do that now.
>
> Cheers,
> Menno
>
>
>
>
> On 9 May 2014 03:12, Curtis Hovey <email address hidden> wrote:
>
>> ** Changed in: juju-core
>> Status: In Progress => Fix Committed
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1302005
>>
>> Title:
>> bootstrap CLI should have an option to specify target series
>>
>> Status in juju-core:
>> Fix Committed
>>
>> Bug description:
>> We should allow bootstrapping an environment on any series we have the
>> tools for, not just default-series: or current LTS.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/juju-core/+bug/1302005/+subscriptions
>>
>
>

summary: - bootstrap CLI should have an option to specify target series
+ bootstrap CLI should have an option to specify target series (phase 1)
description: updated
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers